Bug 740963 - Boot menu does not work for selecting between 2 hard disks
Summary: Boot menu does not work for selecting between 2 hard disks
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: qemu
Version: 16
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
Assignee: Fedora Virtualization Maintainers
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-23 22:51 UTC by Adam Williamson
Modified: 2013-02-15 02:20 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-11 22:51:18 UTC


Attachments (Terms of Use)

Description Adam Williamson 2011-09-23 22:51:52 UTC
qemu has a 'boot menu' feature which you can enable in virt-manager, which purportedly lets you select a boot device by pressing f12 shortly after startup.

For me, the 'press f12' prompt shows, and if I hit f12 I get a menu, but it seems to ignore whatever choice I make. Specifically, if I have a VM with two hard disks, both bootable, and I hit f12 and select the second hard disk, it still boots from the first.

Comment 1 Fedora Admin XMLRPC Client 2012-03-15 17:55:45 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 2 Cole Robinson 2012-07-10 10:51:56 UTC
This might actually be a virt-manager defect, not actually marking both disks as bootable. Will need to confirm

Comment 3 Fedora End Of Life 2013-01-16 20:40:54 UTC
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Cole Robinson 2013-02-11 22:51:18 UTC
This seems to work fine for me on F18, so closing as WORKSFORME. Adam, please reopen if you still have issues, there's a few variables here.

Comment 5 Adam Williamson 2013-02-15 02:20:08 UTC
Haven't checked recently, when the need arises again, we'll find out :)


Note You need to log in before you can comment on or make changes to this bug.